searchNodes=[{"doc":"Membrane element that decodes video in H264 format. It is backed by decoder from FFmpeg. The element expects the data for each frame (Access Unit) to be received in a separate buffer, so the parser ( Membrane.H264.FFmpeg.Parser ) may be required in a pipeline before decoder (e.g. when input is read from Membrane.File.Source ). Pads :input Availability :always Caps Membrane.Caps.Video.H264 , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; stream_format: :byte_stream ,&lt;br /&gt;&amp;nbsp;&amp;nbsp; alignment: :au Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps Membrane.Caps.Video.Raw , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; format: one_of([:I420, :I422]) ,&lt;br /&gt;&amp;nbsp;&amp;nbsp; aligned: true Direction :output Mode :pull Name :output","ref":"Membrane.H264.FFmpeg.Decoder.html","title":"Membrane.H264.FFmpeg.Decoder","type":"module"},{"doc":"Returns pads descriptions for Membrane.H264.FFmpeg.Decoder","ref":"Membrane.H264.FFmpeg.Decoder.html#membrane_pads/0","title":"Membrane.H264.FFmpeg.Decoder.membrane_pads/0","type":"function"},{"doc":"Membrane element that encodes raw video frames to H264 format. The element expects each frame to be received in a separate buffer, so the parser ( Membrane.Element.RawVideo.Parser ) may be required in a pipeline before the encoder (e.g. when input is read from Membrane.File.Source ). Additionally, the encoder has to receive proper caps with picture format and dimensions before any encoding takes place. Please check t/0 for available options. Element options Passed via struct Membrane.H264.FFmpeg.Encoder.t/0 crf any Default value: 23 Constant rate factor that affects the quality of output stream. Value of 0 is lossless compression while 51 (for 8-bit samples) or 63 (10-bit) offers the worst quality. The range is exponential, so increasing the CRF value +6 results in roughly half the bitrate / file size, while -6 leads to roughly twice the bitrate. preset presets ( ) Default value: :medium Collection of predefined options providing certain encoding. The slower the preset choosen, the higher compression for the same quality can be achieved. profile H264 . profile_t ( ) Default value: :high Defines the features that will have to be supported by decoder to decode video encoded with this element. Pads :input Availability :always Caps Membrane.Caps.Video.Raw , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; format: one_of([:I420, :I422]) ,&lt;br /&gt;&amp;nbsp;&amp;nbsp; aligned: true Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps Membrane.Caps.Video.H264 , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; stream_format: :byte_stream ,&lt;br /&gt;&amp;nbsp;&amp;nbsp; alignment: :au Direction :output Mode :pull Name :output","ref":"Membrane.H264.FFmpeg.Encoder.html","title":"Membrane.H264.FFmpeg.Encoder","type":"module"},{"doc":"Returns pads descriptions for Membrane.H264.FFmpeg.Encoder","ref":"Membrane.H264.FFmpeg.Encoder.html#membrane_pads/0","title":"Membrane.H264.FFmpeg.Encoder.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.H264.FFmpeg.Encoder.html#options/0","title":"Membrane.H264.FFmpeg.Encoder.options/0","type":"function"},{"doc":"","ref":"Membrane.H264.FFmpeg.Encoder.html#t:presets/0","title":"Membrane.H264.FFmpeg.Encoder.presets/0","type":"type"},{"doc":"Struct containing options for Membrane.H264.FFmpeg.Encoder","ref":"Membrane.H264.FFmpeg.Encoder.html#t:t/0","title":"Membrane.H264.FFmpeg.Encoder.t/0","type":"type"},{"doc":"Membrane element providing parser for H264 encoded video stream. Uses the parser provided by FFmpeg. By default, this parser splits the stream into h264 access units, each of which is a sequence of NAL units corresponding to one video frame, and equips them with the following metadata entries under :h264 key: key_frame?: boolean - determines whether the frame is a h264 I frame. Setting custom packetization options affects metadata, see alignment and attach_nalus? options for details. Element options Passed via struct Membrane.H264.FFmpeg.Parser.t/0 framerate H264 . framerate_t ( ) Default value: {0, 1} Framerate of video stream, see Membrane.Caps.Video.H264.framerate_t/0 sps any Default value: &quot;&quot; Sequence Parameter Set NAL unit - if absent in the stream, should be provided via this option. pps any Default value: &quot;&quot; Picture Parameter Set NAL unit - if absent in the stream, should be provided via this option. alignment :au | :nal Default value: :au Stream units carried by each output buffer. See t:Membrane.Caps.Video.H264.alignment_t . If alignment is :nal , the following metadata entries are added: type - h264 nalu type new_access_unit: access_unit_metadata - added whenever the new access unit starts. access_unit_metadata is the metadata that would be merged into the buffer metadata normally (if alignment was :au ). end_access_unit: true - added for each NALu that ends an access unit. attach_nalus? boolean Default value: false Determines whether to attach NAL units list to the metadata when alignment option is set to :au . For details see Membrane.Caps.Video.H264.nalu_in_metadata_t/0 . skip_until_keyframe? boolean Default value: false Determines whether to drop the stream until the first key frame is received. Pads :input Availability :always Caps :any Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps Membrane.Caps.Video.H264 , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; stream_format: :byte_stream Direction :output Mode :pull Name :output","ref":"Membrane.H264.FFmpeg.Parser.html","title":"Membrane.H264.FFmpeg.Parser","type":"module"},{"doc":"Returns pads descriptions for Membrane.H264.FFmpeg.Parser","ref":"Membrane.H264.FFmpeg.Parser.html#membrane_pads/0","title":"Membrane.H264.FFmpeg.Parser.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.H264.FFmpeg.Parser.html#options/0","title":"Membrane.H264.FFmpeg.Parser.options/0","type":"function"},{"doc":"Struct containing options for Membrane.H264.FFmpeg.Parser","ref":"Membrane.H264.FFmpeg.Parser.html#t:t/0","title":"Membrane.H264.FFmpeg.Parser.t/0","type":"type"},{"doc":"Membrane H264 FFmpeg plugin This package provides H264 video parser, decoder and encoder, based on ffmpeg and x264 . It is a part of the Membrane Multimedia Framework Documentation is available at HexDocs","ref":"readme.html","title":"Membrane H264 FFmpeg plugin","type":"extras"},{"doc":"Add the following line to your deps in mix.exs . Run mix deps.get . { :membrane_h264_ffmpeg_plugin , &quot;~&gt; 0.10.0&quot; } You also need to have ffmpeg libraries installed in your system. Ubuntu sudo apt-get install libavcodec-dev libavformat-dev libavutil-dev Arch/Manjaro pacman -S ffmpeg MacOS brew install ffmpeg","ref":"readme.html#installation","title":"Membrane H264 FFmpeg plugin - Installation","type":"extras"},{"doc":"Copyright 2018, Software Mansion","ref":"readme.html#copyright-and-license","title":"Membrane H264 FFmpeg plugin - Copyright and License","type":"extras"}]